//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Platform.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("LichSuDatHang")]
    public partial class LichSuDatHang
    {
       
        [Key]
        public long MaLichSuDatHang { get; set; }
        public string Id { get; set; }
        public string MaChungTuDatHang { get; set; }
        public Nullable<bool> DangXuLy { get; set; }
        public Nullable<System.DateTime> NgayGioDangXuLy { get; set; }
         public Nullable<bool> DaNhanDon { get; set; }
        public Nullable<System.DateTime> NgayGioDaNhanDon { get; set; }
         public Nullable<bool> DangGiaoHang { get; set; }
        public Nullable<System.DateTime> NgayGioDangGiaoHang { get; set; }
         public Nullable<bool> DaNhanHang { get; set; }
        public Nullable<System.DateTime> NgayGioDaNhanHang { get; set; }
         public Nullable<bool> DaHuy { get; set; }
        public Nullable<System.DateTime> NgayGioDaHuy { get; set; }
        public string LyDo { get; set; }

    }
}
